Last Comment Bug 736972 - java.lang.OutOfMemoryError: at java.io.BufferedReader.<init>(BufferedReader.java)
: java.lang.OutOfMemoryError: at java.io.BufferedReader.<init>(BufferedReader.j...
Status: RESOLVED FIXED
[native-crash], sync
: crash
Product: Android Background Services
Classification: Client Software
Component: Android Sync (show other bugs)
: unspecified
: ARM Android
: P1 normal
: mozilla14
Assigned To: Richard Newman [:rnewman]
:
Mentors:
Depends on: 749729
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-19 03:49 PDT by Scoobidiver (away)
Modified: 2013-04-04 13:48 PDT (History)
8 users (show)
See Also:
Crash Signature:
QA Whiteboard:
Iteration: ---
Points: ---
fixed
fixed


Attachments

Description Scoobidiver (away) 2012-03-19 03:49:15 PDT
There's one crash in 14.0a1/20120318: bp-44bc58b4-400d-4c59-ad4b-02e8c2120319.

java.lang.OutOfMemoryError
	at java.io.BufferedReader.<init>(BufferedReader.java:95)
	at org.mozilla.gecko.sync.net.SyncStorageCollectionRequest$SyncCollectionResourceDelegate.handleHttpResponse(SyncStorageCollectionRequest.java:80)
	at org.mozilla.gecko.sync.net.BaseResource.execute(BaseResource.java:232)
	at org.mozilla.gecko.sync.net.BaseResource.go(BaseResource.java:254)
	at org.mozilla.gecko.sync.net.BaseResource.get(BaseResource.java:260)
	at org.mozilla.gecko.sync.net.SyncStorageRequest.get(SyncStorageRequest.java:163)
	at org.mozilla.gecko.sync.repositories.Server11RepositorySession.fetchWithParameters(Server11RepositorySession.java:226)
	at org.mozilla.gecko.sync.repositories.Server11RepositorySession.fetchSince(Server11RepositorySession.java:243)
	at org.mozilla.gecko.sync.middleware.Crypto5MiddlewareRepositorySession.fetchSince(Crypto5MiddlewareRepositorySession.java:147)
	at org.mozilla.gecko.sync.synchronizer.RecordsChannel.flow(RecordsChannel.java:132)
	at org.mozilla.gecko.sync.synchronizer.RecordsChannel.onBeginSucceeded(RecordsChannel.java:232)
	at org.mozilla.gecko.sync.repositories.delegates.DeferredRepositorySessionBeginDelegate$1.run(DeferredRepositorySessionBeginDelegate.java:57)
	at java.util.concurrent.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1088)
	at java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:581)
	at java.lang.Thread.run(Thread.java:1019)

More reports at:
https://crash-stats.mozilla.com/report/list?signature=java.lang.OutOfMemoryError%3A+at+java.io.BufferedReader.%3Cinit%3E%28BufferedReader.java%29
Comment 1 Tony Chung [:tchung] 2012-03-19 09:34:01 PDT
sync related crash?
Comment 2 Richard Newman [:rnewman] 2012-03-19 10:06:42 PDT
This is allocating a big buffer. Perhaps the Sharp Infobar A01 is more resource-constrained than most devices?

We can shrink that for sure.
Comment 3 Richard Newman [:rnewman] 2012-03-19 11:37:43 PDT
I will be committing a change for this as soon as my interminable build finishes.
Comment 4 Richard Newman [:rnewman] 2012-03-20 10:20:31 PDT
https://hg.mozilla.org/integration/mozilla-inbound/rev/c1e32cb0678e

This drops the buffer size substantially.
Comment 5 Mounir Lamouri (:mounir) 2012-03-21 03:50:59 PDT
https://hg.mozilla.org/mozilla-central/rev/c1e32cb0678e
Comment 6 Mark Finkle (:mfinkle) (use needinfo?) 2012-03-24 07:54:59 PDT
https://hg.mozilla.org/releases/mozilla-aurora/rev/645a70acbbe2

Note You need to log in before you can comment on or make changes to this bug.